day=30
month=11
year=2001
author=Glenn McCoy
message=<p>At last, Glenn McCoy has made my page for bad cartoon.  As usualy he is prepared to walk lock step with the Republican party, American ultra-nationalism or both.\
<p>McCoy's work is a cornicopia of tired stereotypes, over simplification of the days most complex issues and unwaivering partisanship.\
<p>All this, of course, makes him one of my most sought after cartoonists.\
<p>In this one, Glenn McCoy illustrates his disliking of the American Civil Liberties Union, and equates their defense of civil liberties in this country as a professed love for terrorists.  It is inconcievable to him that there are people other than himselves, that are willing to speak on sometimes unpopular and controversial issues.  Of course, the ACLU is known for defending some of the worst speakers in society, such as the KKK, American Nazi's and artists that might have made what are considered anti-patriotic and defamatory works surrounding the American flag.\
<p>Naturally, the ACLU is going to have to speak for people who are not popular in the American public.  If these people were saying and doing things that were popularly acceptable, they wouldn't be facing assaults on their civil rights.\
<p>The civil rights of Arabs that are currently being held by the US for the investigation in to terrorism is one of those touchy subjects.  It's understood that all (we are told) of the people being held are not US citizens and there are many people who believe that the US is in a state of war.  The ACLU is there to simply ask if we are really in such a state of war as to ignore the civil liberties of foriegn residents (they do have liberties even though they are not citizens).  There has been no proper declaration of war, nor has there been any real set of attainable criteria to end our "state of war".  It's only natural that the ACLU should challenge the actions of this administration.\
<p>One can only hope that one day, the ACLU will be the only one speaking for Mr. McCoy when he finally offends some short sighted bastard in to legal action.
id=1007145482921

